|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.cip4.elk.impl.jmf.SyncHttpOutgoingJMFDispatcher
public class SyncHttpOutgoingJMFDispatcher
An outgoing JMF dispatcher that sends JMF over HTTP synchronously. A call to
dispatchJMFdoes not return until the
message has been delivered or an exception is thrown.
| Field Summary | |
|---|---|
protected static org.apache.log4j.Logger |
log
|
| Constructor Summary | |
|---|---|
SyncHttpOutgoingJMFDispatcher(org.cip4.elk.device.DeviceConfig config)
Constructs a new outgoing dispatcher that supports 5 concurrent HTTP connections. |
|
SyncHttpOutgoingJMFDispatcher(org.cip4.elk.device.DeviceConfig config,
int maxConnections)
Constructs a new outgoing dispatcher with the specified configuration. |
|
| Method Summary | |
|---|---|
void |
dispatchJDF(org.cip4.jdflib.node.JDFNode jdf,
java.lang.String url)
Sends a HTTP POST request containing the specified JDF document to the specified URL. |
org.cip4.jdflib.jmf.JDFResponse |
dispatchJMF(org.cip4.jdflib.jmf.JDFJMF jmf,
java.lang.String url)
Sends a HTTP POST request containing the specified JMF message to the specified URL. |
void |
dispatchSignal(org.cip4.jdflib.jmf.JDFJMF jmfSignal,
java.lang.String url)
Sends a HTTP POST request containing the specified JMF Signal message. |
org.apache.commons.httpclient.methods.PostMethod |
postData(org.cip4.jdflib.core.JDFElement jdf,
java.lang.String url)
Sends a HTTP POST with the request-body containing the specified JDF element. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
protected static org.apache.log4j.Logger log
| Constructor Detail |
|---|
public SyncHttpOutgoingJMFDispatcher(org.cip4.elk.device.DeviceConfig config)
Config object. If no proxy settings are configured in the
Config object no proxy will be used.
config - a configuration containing optional proxy settings
public SyncHttpOutgoingJMFDispatcher(org.cip4.elk.device.DeviceConfig config,
int maxConnections)
Config
object. If no proxy settings are configured in the Config
object no proxy will be used.
config - a configuration containing optional proxy settingsmaxConnections - the maximum number of concurrent HTTP connectionsorg.cip4.elk.Config| Method Detail |
|---|
public org.cip4.jdflib.jmf.JDFResponse dispatchJMF(org.cip4.jdflib.jmf.JDFJMF jmf,
java.lang.String url)
dispatchJMF in interface org.cip4.elk.jmf.OutgoingJMFDispatcher
public void dispatchJDF(org.cip4.jdflib.node.JDFNode jdf,
java.lang.String url)
dispatchJDF in interface org.cip4.elk.jmf.OutgoingJMFDispatcher
public void dispatchSignal(org.cip4.jdflib.jmf.JDFJMF jmfSignal,
java.lang.String url)
dispatchSignal in interface org.cip4.elk.jmf.OutgoingJMFDispatcher
public org.apache.commons.httpclient.methods.PostMethod postData(org.cip4.jdflib.core.JDFElement jdf,
java.lang.String url)
throws java.io.IOException
Content-type is set to
application/vnd.cip4-jmf+xml; charset=UTF-8; otherwise
application/vnd.cip4-jdf+xml; charset=UTF-8 is used.
jdf - the JDF/JMF to send in request bodyurl - the URL to post to
java.io.IOException - if an IO error occurredPostMethod
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||